Get fixture data for Core reports by locale
curl --request GET \
--url https://vanguard.profilebehavior.com/api/v4/fixtures/{locale}/core/report \
--header 'Authorization: Bearer <token>'import requests
url = "https://vanguard.profilebehavior.com/api/v4/fixtures/{locale}/core/report"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vanguard.profilebehavior.com/api/v4/fixtures/{locale}/core/report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"reportFixtures": [
{
"key": "achievement",
"label": "Achievement",
"bullet": "Attaining goals, sense of accomplishment",
"reportSections": [
"My goals are challenging but achievable.",
"I reach big goals by breaking them down into smaller milestones.",
"I see projects through from beginning to end."
],
"descriptor": "This value reflects a strong focus on reaching goals and feeling a sense of accomplishment. To appeal to this value, provide clear milestones, recognize progress, and celebrate completed work.\n",
"locale": "en"
}
]
}{
"code": 400,
"error": {
"message": "Invalid request body",
"timestamp": "2025-01-01T09:42:52.329056-05:00"
},
"status": "error"
}{
"code": 401,
"error": {
"message": "Invalid token",
"timestamp": "2025-01-01T09:42:52.329056-05:00"
},
"status": "error"
}{
"code": 404,
"error": {
"message": "(resource) not found",
"timestamp": "2025-01-01T09:42:52.329056-05:00"
},
"status": "error"
}Fixtures
Get Core Report By Locale
Returns report content for Core values in various languages based on the supplied ISO country locale code.
GET
/
fixtures
/
{locale}
/
core
/
report
Get fixture data for Core reports by locale
Authorizations
M2MOAuth2
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ISO country code indicating which language the content should be retrieved in.
Available options:
de, en, es, fr, jp, ko, nl, pt_BR, zh_CN Response
Success
Standard response object for successful single-resource requests in the Profile Behavior API. Contains an HTTP status code, the returned resource data, and a status indicator.
Was this page helpful?
⌘I